Qwt User's Guide 6.2.0

Public Member Functions | Public Attributes | List of all members
QwtSetSample Class Reference

A sample of the types (x1...xn, y) or (x, y1..yn) More...

`#include <qwt_samples.h>`

## Public Member Functions
| QwtSetSample ()
| QwtSetSample (double, const QVector< double > &=QVector< double >())
bool | operator== (const QwtSetSample &other) const
| Compare operator.
bool | operator!= (const QwtSetSample &other) const
| Compare operator.
double | added () const

## Public Attributes
double | value
| value
QVector< double > | set
| Vector of values associated to value.

## Detailed Description

A sample of the types (x1...xn, y) or (x, y1..yn)

Definition at line 73 of file qwt_samples.h.

## Constructor & Destructor Documentation

## ◆ QwtSetSample() [1/2]

QwtSetSample::QwtSetSample | ( |  | ) |
| inline

Constructor The value is set to 0.0

Definition at line 95 of file qwt_samples.h.

## ◆ QwtSetSample() [2/2]

QwtSetSample::QwtSetSample | ( | double | v,
|  | const QVector< double > & | s = `QVector< double >( )`
| ) |  |
| inline explicit

Constructor

Parameters

  v | Value
  s | Set of values

Definition at line 106 of file qwt_samples.h.

## Member Function Documentation

## ◆ added()

double QwtSetSample::added | ( |  | ) | const
| inline

Returns
  All values of the set added

Definition at line 125 of file qwt_samples.h.